(function () {
    'use strict';

    angular
        .module('app')
        .factory('ConsultaConfiguracaoColunas', ConsultaConfiguracaoColunas);

    ConsultaConfiguracaoColunas.$inject = ['Server', 'GlobalVariable'];

    function ConsultaConfiguracaoColunas(Server, GlobalVariable) {
        function CarregarConfiguracaoColunasPorCodigoPainel(codigoPainel, successCallback, errorCallback) {
            var action = 'PainelFinal/CarregarConfiguracaoColunasPorCodigoPainel?codigoPainel=' + codigoPainel;
            Server.get(action, null, successCallback, errorCallback);
        }
        return {
            CarregarConfiguracaoColunasPorCodigoPainel: CarregarConfiguracaoColunasPorCodigoPainel
        }
    };
})();